> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update voice channels for non-US Zones

> Update the number of Voice Channels for the Non-US Zones. This allows your account to handle multiple simultaneous inbound calls to Non-US numbers. Use this endpoint to increase or decrease your capacity based on expected call volume.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/voice-channels.yml put /channel_zones/{channel_zone_id}
openapi: 3.1.0
info:
  title: Telnyx Voice Channels API
  version: 2.0.0
  description: API for Voice Channels.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /channel_zones/{channel_zone_id}:
    parameters:
      - $ref: '#/components/parameters/GcbChannelZoneId'
    put:
      tags:
        - Voice Channels
      summary: Update voice channels for non-US Zones
      description: >-
        Update the number of Voice Channels for the Non-US Zones. This allows
        your account to handle multiple simultaneous inbound calls to Non-US
        numbers. Use this endpoint to increase or decrease your capacity based
        on expected call volume.
      operationId: PatchChannelZone
      requestBody:
        description: Quantity of reserved channels and organizational update option
        content:
          application/json:
            schema:
              type: object
              properties:
                channels:
                  type: integer
                  format: int64
                  description: The number of reserved channels
              required:
                - channels
        required: true
      responses:
        '200':
          $ref: '#/components/responses/PatchGcbChannelZoneRequestResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Resource not found
        default:
          $ref: '#/components/responses/voice-channels_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const channelZone = await
            client.channelZones.update('channel_zone_id', { channels: 0 });


            console.log(channelZone.id);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            channel_zone = client.channel_zones.update(
                channel_zone_id="channel_zone_id",
                channels=0,
            )
            print(channel_zone.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tchannelZone, err := client.ChannelZones.Update(\n\t\tcontext.TODO(),\n\t\t\"channel_zone_id\",\n\t\ttelnyx.ChannelZoneUpdateParams{\n\t\t\tChannels: 0,\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", channelZone.ID)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.channelzones.ChannelZoneUpdateParams;
            import com.telnyx.sdk.models.channelzones.ChannelZoneUpdateResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ChannelZoneUpdateParams params = ChannelZoneUpdateParams.builder()
                        .channelZoneId("channel_zone_id")
                        .channels(0L)
                        .build();
                    ChannelZoneUpdateResponse channelZone = client.channelZones().update(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            channel_zone = telnyx.channel_zones.update("channel_zone_id",
            channels: 0)


            puts(channel_zone)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $channelZone = $client->channelZones->update('channel_zone_id', channels: 0);

              var_dump($channelZone);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx channel-zones update \
              --api-key 'My API Key' \
              --channel-zone-id channel_zone_id \
              --channels 0
components:
  parameters:
    GcbChannelZoneId:
      name: channel_zone_id
      in: path
      description: Channel zone identifier
      required: true
      schema:
        type: string
  responses:
    PatchGcbChannelZoneRequestResponse:
      description: Successfuly patched channel zone
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GcbChannelZone'
    voice-channels_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/voice-channels_Errors'
  schemas:
    GcbChannelZone:
      title: Channel zone object
      required:
        - record_type
        - countries
        - id
        - name
        - channels
      type: object
      properties:
        record_type:
          type: string
          enum:
            - channel_zone
          example: channel_zone
        countries:
          type: array
          items:
            type: string
          description: >-
            List of countries (in ISO 3166-2, capitalized) members of the
            billing channel zone
          example:
            - BE
            - EL
            - LT
            - PT
            - BG
            - ES
            - LU
            - RO
            - CZ
            - FR
            - HU
            - SI
            - DK
            - HR
            - MT
            - SK
            - DE
            - IT
            - NL
            - FI
            - EE
            - CY
            - AT
            - SE
            - IE
            - LV
            - PL
        id:
          type: string
          example: 1653e6a1-4bfd-4857-97c6-6a51e1c34477
        name:
          type: string
          example: Euro channel zone
        channels:
          type: integer
          format: int64
          example: 7
        created_at:
          type: string
          description: ISO 8601 formatted date of when the channel zone was created
          example: '2019-01-23T18:10:02.574Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date of when the channel zone was updated
          example: '2019-01-23T18:10:02.574Z'
    voice-channels_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/voice-channels_Error'
      type: object
    voice-channels_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````